commit:     ba184171cc7347fe18f87541d97859f4774c9965
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 22 13:08:02 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 22 14:13:06 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba184171

xfce-extra/xfce4-pulseaudio-plugin: Bump to 0.2.5

 xfce-extra/xfce4-pulseaudio-plugin/Manifest        |  1 +
 .../xfce4-pulseaudio-plugin-0.2.5.ebuild           | 51 ++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/xfce-extra/xfce4-pulseaudio-plugin/Manifest 
b/xfce-extra/xfce4-pulseaudio-plugin/Manifest
index b55e68ecd17..afa0871f17e 100644
--- a/xfce-extra/xfce4-pulseaudio-plugin/Manifest
+++ b/xfce-extra/xfce4-pulseaudio-plugin/Manifest
@@ -1 +1,2 @@
 DIST xfce4-pulseaudio-plugin-0.2.4.tar.bz2 307315 SHA256 
8d9330ddf1d44a864a36d566cce4b76d4f859c5984bba7653d7dc39aa24d5c3e SHA512 
b53ab48e282a506fc7fe91fa70520f0db32f2f73653a0210681bf7389f13441d5af8f855604b59817b1fe7a3f41e2d4fe52b052ac0c3479f3f4e37b2afedb193
 WHIRLPOOL 
8763a9422a7519b5603703306d968f9e020c1bd4b304be0d21bd6353c54e8fa979ef68c513d6e1c398ce6857ad88807a7cb7eefc29d6fba4f12a243eb7205e26
+DIST xfce4-pulseaudio-plugin-0.2.5.tar.bz2 351062 SHA256 
087441331240f8fca6cbcc2839251ad7e8d624fed7b4b7b4cd4e6938cb26c0b2 SHA512 
e56b9a6b33e5c82b8f665eee60a9b9ebcac3815cd60a2e576dd4c9a5a592fa4adc00c56be9ac5de07e13053455d7236759e468da8eca25a3c4638680f9474194
 WHIRLPOOL 
c8f510ddbcabe9346d01c0dee6ceeb910e656637e4c5ca8a12ac4e3067a71596883a7654b8bfd4efa96404bd16f30180ba99988d0478b2d48504c686f720a520

diff --git 
a/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.2.5.ebuild 
b/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.2.5.ebuild
new file mode 100644
index 00000000000..7b95de8fc97
--- /dev/null
+++ b/xfce-extra/xfce4-pulseaudio-plugin/xfce4-pulseaudio-plugin-0.2.5.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2-utils
+
+DESCRIPTION="A panel plug-in for PulseAudio volume control"
+HOMEPAGE="https://github.com/andrzej-r/xfce4-pulseaudio-plugin";
+SRC_URI="mirror://xfce/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
+IUSE="debug keybinder libnotify"
+
+RDEPEND=">=dev-libs/glib-2.24.0:=
+       media-sound/pulseaudio:=
+       >=x11-libs/gtk+-3.6.0:3=
+       >=xfce-base/libxfce4ui-4.11.0:=[gtk3(+)]
+       >=xfce-base/libxfce4util-4.9.0:=
+       >=xfce-base/xfce4-panel-4.11.0:=
+       >=xfce-base/xfconf-4.6.0:=
+       keybinder? ( dev-libs/keybinder:3= )
+       libnotify? ( x11-libs/libnotify:= )"
+DEPEND="${RDEPEND}
+       dev-util/intltool
+       virtual/pkgconfig"
+
+src_configure() {
+       local myconf=(
+               $(use_enable keybinder)
+               $(use_enable libnotify)
+       )
+
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to